// CRSplineF - [2020-04-13 11:57:47]
#ifndef _CRSPLINEF_H_
#define _CRSPLINEF_H_

#include "CFTTVector32x4.h"
#include "CRSplinePieceF.h"
/*
0014C2E0 CRSplineF::CRSplineF()
0014C0E8 CRSplineF::CRSplineF(CFTTVector32x4 *,int,float,float *,bool)
0014C2E2 CRSplineF::CRSplineF(CRSplineF const&)
0014C426 CRSplineF::~CRSplineF()
0014C24C CRSplineF::operator()(float)
0014C378 CRSplineF::operator=(CRSplineF const&)
0014C446 CRSplineF::ScaleXToY()
0014C494 CRSplineF::ScaleYToX()
0014C4E2 CRSplineF::ScaleXToW(float)
0014C530 CRSplineF::ScaleYToH(float)
0014C57E CRSplineF::ScaleXToRatio(float)
0014C5D4 CRSplineF::ScaleYToRatio(float)

0x10
*/

class CRSplineF {
public:
  CRSplineF();                                             // 0014C2E0
  CRSplineF(CFTTVector32x4 *, int, float, float *, bool);  // 0014C0E8
  CRSplineF(CRSplineF const &);                            // 0014C2E2
  ~CRSplineF();                                            // 0014C426
  CRSplinePieceF operator()(float f2);                     // 0014C24C
  void operator=(CRSplineF const &);                       // 0014C378
  void ScaleXToY();                                        // 0014C446
  void ScaleYToX();                                        // 0014C494
  void ScaleXToW(float);                                   // 0014C4E2
  void ScaleYToH(float);                                   // 0014C530
  void ScaleXToRatio(float);                               // 0014C57E
  void ScaleYToRatio(float);                               // 0014C5D4

  class CRSplinePieceF *mpCRSplinePieceF_0;
  class CFTTVector32x4 *mpCFTTVector32x4_4;
  int field_8;
  float field_C;
  // int field_14;
  // int field_18;
  // int field_1C;
  // int field_20;
  // int field_24;
  // int field_28;
};

#endif  //_CRSPLINEF_H_